<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <meta id="piecut-message" name="piecut-message" content="We are baking PieData for you!">
    <meta id="piecut-username-attribute" name="piecut-username-attribute" content="preferred_username">

    <meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate">
    <meta http-equiv="Pragma" content="no-cache">
    <meta http-equiv="Expires" content="0">

    <title>Baking PieData</title>
    <link rel="icon" type="image/x-icon" href="/kubepie/piecut/static/builtin/img/favicon.ico">
    <link rel="stylesheet" href="/kubepie/piecut//static/builtin/css/bootstrap.min.css" />
    <link rel="stylesheet" href="/kubepie/piecut/static/builtin/css/kubepie.css" />
  </head>
  <body>
    <noscript>
        We are sorry, our KubePie Baking UI does not work without Javascript but the PieData
        is being deployed for you. You can find out the deployment status <a href="/kubepie/piecut/get-status">here</a>
        or simply come back in a minute to be redirected to your PieData.
    </noscript>
    <div class="d-flex flex-column min-vh-100">
      <nav class="navbar navbar-expand-lg bg-primary border-bottom border-body">
        <div class="container-fluid">
          <a class="navbar-brand" href="/">
            <img src="/kubepie/piecut/static/builtin/img/logo.png" height="48px" width="48px" alt="KubePie" />
            <span class="fw-bold">KubePie Bakery</span>
          </a>
          <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav justify-content-end ms-auto">
              <li class="nav-item">
                <a class="nav-link" href="https://gitlab.com/MaxIV/kubernetes/kubepie" target="_blank">About KubePie</a>
              </li>
            </ul>
          </div>
        </div>
      </nav>

      <div id="alertContainer" class="container mt-3">
      </div>

      <div class="container flex-grow-1 d-flex flex-column justify-content-center align-items-center">
          <h2 id="pieCutMessage" class="mb-3 text-center">Initializing PieData baking process...</h2>
          <div id="dynamicSpinner" class="spinner-grow kubepie-color-blue" role="status">
              <span class="visually-hidden">Baking...</span>
          </div>
      </div>
    </div>

    <script src="/kubepie/piecut/static/builtin/js/bootstrap.bundle.min.js"></script>
    <script src="/kubepie/piecut/static/piecut/piecut.js"></script>
  </body>
</html>
